#include <pw/core/vector.hpp>
#include <pw/core/serialize.hpp>
#include <pw/scene/node.hpp>
#include <pw/scene/transform.hpp>
#include <pw/scene/scene.hpp>
#include <pw/scene/entity.hpp>


#include <pw/core/serialize.hpp>

#include <iostream>

int main(int argc,char **argv) {

    using pw::scene;

    auto s = std::make_unique<scene>();

    auto e = s->create_entity();


//    e.add_component<transform>();

}
